

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.67. thread_limit &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.68. tokenize" href="tokenize.html" />
    <link rel="prev" title="7.3.66. table_tokenize" href="table_tokenize.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/thread_limit.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="tokenize.html" title="7.3.68. tokenize"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="table_tokenize.html" title="7.3.66. table_tokenize"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.67. </span><code class="docutils literal notranslate"><span class="pre">thread_limit</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="thread-limit">
<h1><span class="section-number">7.3.67. </span><code class="docutils literal notranslate"><span class="pre">thread_limit</span></code><a class="headerlink" href="#thread-limit" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.67.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.7 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">thread_limit</span></code> は次の2つの機能を提供します。</p>
<blockquote>
<div><ul class="simple">
<li><p>最大スレッド数を返します。</p></li>
<li><p>最大スレッド数を設定します。</p></li>
</ul>
</div></blockquote>
<p><a class="reference internal" href="../executables/groonga.html"><span class="doc">groonga 実行ファイル</span></a> は <code class="docutils literal notranslate"><span class="pre">thread_limit</span></code> のすべての機能を提供する唯一のGroongaサーバーです。</p>
<p><a class="reference internal" href="../executables/groonga-httpd.html"><span class="doc">groonga-httpd</span></a> は最大スレッド数を返す機能だけをサポートしています。 <a class="reference internal" href="../executables/groonga-httpd.html"><span class="doc">groonga-httpd</span></a> の最大スレッド数は常に1です。なぜなら、 <a class="reference internal" href="../executables/groonga-httpd.html"><span class="doc">groonga-httpd</span></a> はシングルスレッドモデルを採用しているからです。</p>
<p>Groongaをライブラリーとして使っている場合、 <a class="reference internal" href="../api/grn_thread.html#c.grn_thread_set_get_limit_func" title="grn_thread_set_get_limit_func"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_thread_set_get_limit_func()</span></code></a> と <a class="reference internal" href="../api/grn_thread.html#c.grn_thread_set_set_limit_func" title="grn_thread_set_set_limit_func"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_thread_set_set_limit_func()</span></code></a> でカスタム関数を設定しない限り動きません。 <a class="reference internal" href="../api/grn_thread.html#c.grn_thread_set_get_limit_func" title="grn_thread_set_get_limit_func"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_thread_set_get_limit_func()</span></code></a> でカスタム関数を設定すると最大スレッド数を返す機能が動きます。 <a class="reference internal" href="../api/grn_thread.html#c.grn_thread_set_set_limit_func" title="grn_thread_set_set_limit_func"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_thread_set_set_limit_func()</span></code></a> でカスタム関数を設定すると最大スレッド数を設定する機能が動きます。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.67.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで省略できます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>thread_limit [max=null]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.67.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>引数なしで呼び出すと最大スレッド数を得られます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>thread_limit
# [[0, 1337566253.89858, 0.000355720520019531], 2]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">0</span></code> が返ってきたら、そのGroongaサーバーはこの機能をサポートしていないということです。</p>
<p><code class="docutils literal notranslate"><span class="pre">max</span></code> 引数つきで呼び出すと最大スレッド数を設定できます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>thread_limit --max 4
# [[0, 1337566253.89858, 0.000355720520019531], 2]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">max</span></code> 引数を渡したときは設定前の最大スレッド数が返ります。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.67.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.67.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数はありません。</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.67.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数が1つあります。</p>
<div class="section" id="max">
<span id="thread-limit-max"></span><h4><span class="section-number">7.3.67.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">max</span></code><a class="headerlink" href="#max" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>新しい最大スレッド数を指定します。</p>
<p>正の整数を指定してください。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>thread_limit --max 3
# [[0, 1337566253.89858, 0.000355720520019531], 4]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">max</span></code> 引数を指定した場合、 <code class="docutils literal notranslate"><span class="pre">thread_limit</span></code> は <code class="docutils literal notranslate"><span class="pre">max</span></code> を適用する前の最大スレッド数を返します。</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.67.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドのボディは最大スレッド数になります:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, N_MAX_THREADS]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">max</span></code> を指定したときは <code class="docutils literal notranslate"><span class="pre">N_MAX_THREADS</span></code> は <code class="docutils literal notranslate"><span class="pre">max</span></code> を適用する前の最大スレッド数になります。</p>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.67. <code class="docutils literal notranslate"><span class="pre">thread_limit</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.67.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.67.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.67.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.67.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.67.4.1. 必須引数</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.67.4.2. 省略可能引数</a><ul>
<li><a class="reference internal" href="#max">7.3.67.4.2.1. <code class="docutils literal notranslate"><span class="pre">max</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.67.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="table_tokenize.html"
                        title="前の章へ"><span class="section-number">7.3.66. </span><code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="tokenize.html"
                        title="次の章へ"><span class="section-number">7.3.68. </span><code class="docutils literal notranslate"><span class="pre">tokenize</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="tokenize.html" title="7.3.68. tokenize"
             >次へ</a> |</li>
        <li class="right" >
          <a href="table_tokenize.html" title="7.3.66. table_tokenize"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.67. </span><code class="docutils literal notranslate"><span class="pre">thread_limit</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>